Subject: Getting emacs under cygwin?
From: David Starks-Browning <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 27 Jul 2001 22:54:58 +0100

On Friday 27 Jul 01, Martin Cohen writes:
> I have just started playing with cygwin, and miss emacs.
> 
> I downloaded GNU emacs from their site (20.7), unpacked it,
> and tried to ./configure it. I got this:
> 
> $ ./configure
> loading cache ./config.cache
> checking host system type... i586-pc-cygwin
> configure: error: Emacs hasn't been ported to `i586-pc-cygwin' systems.
> Check `etc/MACHINES' for recognized configuration names.
> 
> What should I do?

Subscribe to the ntemacs-users list if you want to port GNU emacs to
cygwin.  It's not easy, or it would have been done by now.

> Or, is there a prebuilt emacs out there somewhere?

Yes, in your favorite mirror of <ftp.gnu.org/pub/gnu/windows/emacs/>.

You should be able to build xemacs OOTB, if that's of interest.  You
need this if you want 'xemacs -nw', because 'emacs -nw' doesn't work
in a cygwin remote login window (e.g., from telnet or ssh).

Hope this helps.

Regards,
David
(Cygwin FAQ maintainer)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/